Developers
API referenceReferenceBusinesses

Webhook subscription - Create

POST
/v1/business/{business_slug}/webhook_subscriptions/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/business/string/webhook_subscriptions/" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "target_url": "http://example.com",    "basic_auth_username": "string"  }'
{  "id": 0,  "name": "string",  "target_url": "http://example.com",  "is_active": true,  "basic_auth_username": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}